Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client
Class ResourceDescriptor

    java.lang.Object
      org.exist.client.ResourceDescriptor

Direct Known Subclasses:
  ResourceDescriptor.Collection, ResourceDescriptor.Document

public abstract class ResourceDescriptor
extends java.lang.Object

Description of a resource, suitable for display by the graphical client for instance.

Author:
  gpothier

Nested Class Summary
`static class` | `ResourceDescriptor.Collection`
`static class` | `ResourceDescriptor.Document`

Constructor Summary
`ResourceDescriptor(XmldbURI aName, java.lang.String aOwner, java.lang.String aGroup, java.lang.String aPermissions, java.util.Date date)`

Method Summary
`java.util.Date` | `getDate()`
`java.lang.String` | `getGroup()`
`XmldbURI` | `getName()`
`java.lang.String` | `getOwner()`
`java.lang.String` | `getPermissions()`
`abstract boolean` | `isCollection()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDescriptor

    public ResourceDescriptor(XmldbURI aName,
                              java.lang.String aOwner,
                              java.lang.String aGroup,
                              java.lang.String aPermissions,
                              java.util.Date date)

Method Detail

### getGroup

    public java.lang.String getGroup()

### getName

    public XmldbURI getName()

### getOwner

    public java.lang.String getOwner()

### getPermissions

    public java.lang.String getPermissions()

### getDate

    public java.util.Date getDate()

### isCollection

    public abstract boolean isCollection()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.